/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_PADSERV                                                  */
/* Tabela : PADRAOSERV                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 28/10/2004 - Rafael dos Santos Lopes                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PADSERV
BEFORE INSERT OR UPDATE OR DELETE
ON PADRAOSERV FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPDSV := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.NMSERPADDIE,0) <> NVL(:NEW.NMSERPADDIE,0)) THEN
         :NEW.DTULTATUPDSV := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PADRAOSERV', '', 'CDSERPADDIE='||:OLD.CDSERPADDIE||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PADRAOSERV MODIFY DTULTATUPDSV DEFAULT SYSDATE
/

